apiVersion: v1
kind: Service
metadata:
  name: {{ .Values.dataManager.service.name }}
  labels:
    {{- include "htwkalender.labels" . | nindent 4 }}
  namespace: {{ .Release.Namespace }}
spec:
  type: ClusterIP
  selector:
    {{- include "htwkalender.selectorLabels" . | nindent 4 }}
    component: data-manager
  ports:
    - port: {{ .Values.dataManager.service.port }}
      targetPort: {{ .Values.dataManager.service.targetPort }}
      protocol: TCP
      name: data-manager
